Skip to main content
PATCH
/
compliance
/
alerts
/
{alertId}
Update compliance alert
curl --request PATCH \
  --url https://api.example.com/compliance/alerts/{alertId} \
  --header 'Content-Type: application/json' \
  --data '
{
  "acknowledged": true,
  "externalId": "<string>"
}
'
{
  "type": "<string>",
  "id": "<string>",
  "checkId": "<string>",
  "createdAt": "2023-11-07T05:31:56Z",
  "acknowledged": true,
  "acknowledgedAt": "2023-11-07T05:31:56Z",
  "externalId": "<string>"
}

Path Parameters

alertId
string
required

Body

application/json
acknowledged
boolean
externalId
string
data
object

Response

type
string
required
id
string
required
checkId
string
required
createdAt
string<date-time>
required
acknowledged
boolean
required
acknowledgedAt
string<date-time>
externalId
string
data
object